petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkSetEdgeList

Sets the list of local edges (vertex connectivity) for the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetEdgeList(DM dm, int edgelist[])

Logically collective on DM Many br

### Input Parameters

edges -list of edges Many br

### Notes

There is no copy involved in this operation, only the pointer is referenced. The edgelist should Many brnot be destroyed before the call to DMNetworkLayoutSetUp Many br

Many br

### See Also

DMNetworkCreate, DMNetworkSetSizes

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages